Subject: Academy of Architecture

From: Dorothy Chen <[email-masked]>
Date: 10 Mar 1996 02:52:22 GMT

I recently read a website for a new organization named the Academy 
of Architecture Arts and Sciences. It looks interesting for 
architects, builders, designers, etc. Achievement Awards, to be 
nominated and decided by ones peers, and a design competition 
called Banana are on the agenda.

http://www.frank.org